lierolibre NEWS - History of user-visible changes.


Version 0.5 - November 2012, by Martin Erik Werner
* Fixed packgfx and packlev scripts to work with newer ImageMagick
* Fixed the packsounds script so that it won't fail with non-english shell
* Removed unused fullscreen resolution extension menu options
* Fixed default keybind Right Alt not working on Linux
* Fixed extended controls being empty if loaded from non-extended LIERO.DAT
  + Closes: http://code.google.com/p/liero/issues/detail?id=3
* Changed windows homedir name from "settings" to "user"
* Pre-packed LIERO.CHR and LIERO.SND are now included in the source release
* Enabled cross-compilation from Linux for Windows


Version 0.4 - June 2012, by Martin Erik Werner
* Fixed a bug where the EXE file path would not be set
* Updated CFG file with variable name corrections
  + New CFG files (v1) will be written with correct names
  + Old CFG files (v0) with incorrect names can still be loaded
* Added automatic upgrading of CFG file from v0 to v1
  + Only upgrades if loading from $HOME / settings dir
  + Creates a backup named *_backup_XXXXX
* First binary linux release
  - Uses hard-coded run-time search path and an included set of libs
  - Also includes source code for libs under LGPL
* Include library sources in windows package
  - As required by LGPL (previously in a separate package)


Version 0.3 - March 2012, by Martin Erik Werner
* Made it possible to exit from fullscreen via Alt+F4
* Fixed a bug in the launch script that made the liero.cfg file in the home
  directory not be prioritized.
* First windows release
  + Fixed Visual Studio C++ project and added a "windows" git branch
  + Uses lierocfg.txt instead of liero.cfg for the CFG file
  + Uses a settings/ subdirectory instead of $HOME
* Improved window/fullscreen resolution behaviour
  + Game grabs maximum possible window size on launch
  + Fullscreen uses host desktop resolution
    - Should fix issues with fullscreen not using the best available resolution
  + Fullscreen now remembers and restores previous window size
  + Drag-resizing the window now works
    - Jumps up by integer multiples when window is large enough
* Incomplete support for scale2X on sizes above 640x400
  + Currently just creates black space between pixels
* Binary now defaults to writing the CFG file to the $HOME/settings directory
  (not just the launcher script)


Version 0.2 - April 2012, by Martin Erik Werner

* New dependency on boost_program_options
* Reworked command-line handling completely
  + Generalised options
    - -f --file : input file
    - -d --dir : input dir
    - -w --write : output file
    - -h --help
    - -v --sdlvideo
    - arg1 is auto-assigned to input file
    - arg2 is auto-assigned to input dir
    - arg3 is auto-assigned to output file
* Fixed a bug where giving a directory path without the ending "/" would set
  the path to the parent directory instead.
* Defaults to reading data/liero.cfg instead of ./liero.cfg
* Removal of non-free dtoa piece in gvl
* Better resolution handling (only for 'Nearest' filter)
  + Game window now defaults to double the size (640x400)
  + Fullscreen now defaults to highest supported screen resolution
    - Game area will grab max multiple of 320x200, rest becomes border
  + Added F7 and F8 keys for x3 and x4 scaling respecively
* Added ability to quit game via desktop events (window close, alt+F4, etc.)
* Made configure checks for SDL_mixer not depend on pkg-config
* Error messages from handling config files are now much more verbose
  + If possible gives error type, file, line number, setting path, etc.
  + This is only enabled with libconfig++ version 1.4 and above
    - (libconfig++9 in Debian/Ubuntu)


Version 0.1 - April 2012, by Martin Erik Werner

 * The gvl library is now included in the source release of lierolibre

 * Several non-free items were removed from the gvl library

 * Extracted variables from LIERO.EXE
   + It is now possible to run lierolibre independently of LIERO.EXE using a text
     config file
   + Variables may be edited directly in the text file
   + Variables may be extracted from a modded LIERO.EXE into a new text file

 * Updated gvl library to build and work with Liero and lierolibre

 * Replaced original sounds with completely free content

 * Added scripts for extracting and repacking sounds, graphics, and levels
   + sounds and graphics are kept in unpacked format and must be packed prior
     to running the game

 * DataPath module for integration into a nix-like system
   + Ability to handle separation between a writable home directory and a
     read-only data directory


CHANGES for Liero (OpenLiero)

Liero 1.35b2 (2009-08-16)

* 32-bit rendering mode (faster and much more compatible).

Extensions:
* Speed up and slow down of replays (0-9 keys, Ctrl+0 etc. for slow down).
* Better automatic naming of replays.
* Timer in replays.
* Fixed a bug with profiles.
* Lots of tweaks.

Liero 1.35b1 (2009-08-11)

* Added air jumping and continuous jumping hacks.
* Fixed some minor differences from Liero 1.33.
* Made blood setting obey custom TC settings.
* Adaptive scaling of the game to the window.

Extensions (enabled via F1):
* Added replay recording and playback.
* Added player profiles.
* Full filenames in level selection.
* Page up/Page down in menus.
* Scale2X interpolation for double resolution.
* Custom fullscreen resolution (should help some people run fullscreen).



Liero 1.34 (2008-08-08)

* Renamed from openliero to liero1.34 on joosa's request.
* Added remote exploding hack.
* Increased filename caps tolerance on case-sensitive filesystems.
* Fixed some include-files to make it compile on later gcc.

LIERO for DOS HISTORY

	This history does not contain versions older than 1.0.

	Legend:
	* change
	+ addition
	- fixed bug
	! other stuff

Version 1.33
        * Ninja rope is traditional again!

Version 1.32
        + A documentation in English!!
        * Some progress with the CPU-player!! It acts very routinely, but
	  is still much better than random :)
        * Duds have been removed (too buggy)
        * Ninja rope:
          * Swinging is easier
          * Limited lenght

Version 1.31
        * Ninja rope is now more realistic!!
        * Gauss gun has been modified a bit
        * Dart has been modified
        * Moving backwards has been removed
        * The CPU-player is now _a bit_ more intelligent... it's not very
          smart, but better than the random-CPU. It doesn't care about the
          game type.
        - The names weren't saved; fixed
        - A couple of other bugs have been killed

Version 1.30
        + Gauss Gun
        + Duds: grenades etc. that don't explode
        * A new kind of ninja rope: it's thrown in the old fashioned way,
	  but the lenght can be adjusted
        * LIEROLOW.EXE has been removed... LIERO.EXE no longer required too
	  much memory
        - The SHADOWS ON/OFF-bugs have been fixed
        - Laser has been modified

Version 1.29
        * More realistic physics: the velocity of the worm is added to the
	  velocity of the projectile.
        * The worm backs up if you move backwards while shooting
        * Dart is now faster to reload
        + Booby trap has the name of the weapon it "contains" on it... this
          is what you've been waiting for
        + A new weapon: RB Rampage (Rubber Bullet)
        * LevEdit no longer has restrictions. The levels created with
	  earlier versions of LevEdit (<0.21) have to be "compiled" by
	  re-opening and saving. The new file format uses loads more drive
	  space, but makes it easier to expand in the future.

Version 1.28
        ! The memory requirements had increased even though this file told
	  the game needs 550kB... the real amount was 580kB and rarely anyone
	  has that much conventional memory free. Now a smaller LIEROLOW.EXE
	  without SFX is packed with the game, it requires 550kB.

Version 1.27
        - Bugfixes, bugfixes (when, oh when are 'em all eliminated..?)

Version 1.26
        - The worm no longer generates outside the level limits... finally!!
        - Small bugfixes

Version 1.25
        * Mini rockets is now more accurate
        * The worm no longer has to step on Booby trap, Mine etc., they
	  explode from a small distance
        - Bugfixes, e.g. Dart


Version 1.24
	+ A new weapon: Dart
        + A scrollbar has been added to the LEVEL and WEAPONS menus
        * There can't be two weapons of the same kind chosen in the WEAPONS
          menu except if there are less than five weapons to choose from
        * Blaster has been fixed: no longer explodes when hitting a worm
        * Grasshopper lasts longer
        * Medikits now heal by 10-50%
        * A modification to the CtF modes: now you have to take the flag to
          your home base
        * Changed the names of the game modes
        * Randomizing the names has been changed a bit...
        * The force used to throw objects (such as Grenade) is now
	  "adjustable". Read the HINTS section!!
        - The former settings did not load for the next game session
        - While loading the settings the colors of the worms weren't changed
	  right
        * When quitting the game the settings are always automatically saved
	  with the name LIERO, NOT replacing the settings in use

Version 1.23
        + A possibility to save the game settings to a file you want!!
	  That means you can create new game types by adjusting the loading
	  times, the availability of weapons, health etc.
          Packed with the Game comes an example configuration: TAGFLAG.
	  Try it!!

Version 1.22
        - The health meter crashed if health was 10000%

Version 1.21
        - No longer crashes in heavy use!! It has been tested: 2
	  random-CPU-worms, both with heavy weapons, loading times 0%,
	  99 bonuses, map on, amount of blood 500%, shadows on, health
	  10000%, 999 lives. And the game ran easily 5 hours with these
	  settings...
	  Unstability was caused by a very simple bug.

Version 1.20
        * Missile turns slower (easier to control)
        * The bullets of Rifle and Winchester are faster
        * The laser sighting has been removed from Winchester
        * More animation
        + LOAD+CHANGE-option. When this setting is ON, you can change weapons
	  while loading.
        + The WEAPONS menu:
          + You no longer have to choose the same weapons over and over again
          + Randomize, which randomizes the weapons
            A hint: if you don't want to see the weapons you get, just press
            "FIRE" and then "Up"!!
        + PLAYER OPTIONS, where you can choose your name, amount of health,
	  the color of your worm and the keys too: KEYSETUP is history
        + A new game type: Flag + Tag
        + Game of Tag: the losing time can now be chosen
        + Capture the Flag: the flags needed to win can now be chosen
        + The mines are now the same color as the terrain (harder to notice)
        - The worm sometimes appeared outside the level (_rarely_)
        - A huge pile of bugfixes

Version 1.19
        + Capture the Flag!!
        + Frameskip, makes the game run faster
        * When you're killed, you can no longer appear next to the other
	  worm or to the place you were killed at
        * Fixed the Missile controls
        - Bugfixes...

Version 1.18
        * The Missile controls have been fixed -> easier to direct
        * You can now use other weapons while reloading!! You still have to
	  have the weapon chosen for reloading it.
        * Larpa explodes when hitting a worm
        * Radioactives have been removed (too efficient)
        * The worm may also regenerate in the sand, creating a fitting hole
        + A new weapon: Grasshopper
        + You may now choose the availability of the weapons (Menu, Bonuses
          Banned)!!
        * Game of Tag:
          * The timer of "it" no longer runs while the other worm is dead
          * A suicide makes you "it"
          - The timer no longer crashes at 10 minutes
        - Bazooka, Doomsday and Mini Rockets acted in a weird way when they
	  were blocked by Fan (didn't actually bother)
        - The worm can no longer get stuck on stones!!

Version 1.17
	! Loads of tuning/changes/additions (thanks for the feedback):
	+ New weapons:
  	Booby trap = a fake crate or first aid kit
  	Radioactives = a bomb that spreads radioactive stuff
  	Mini rockets = not as efficient as Doomsday by faster to reload
	* The weapons are now in alphabetical order
	+ You can choose the color of your worm by yourself
	+ More random names
	* Heavier Flamer
	* Throwable bombs (Grenade, Cluster and Chiquita) fly further away
	* The fragments of Cluster bomb no longer generate smaller fragments
	* The bullets of Rifle, Winchester and Handgun are faster
	* CPU no longer spends time in the weapons menu
	* You can no longer have two weapons of the same kind chosen in the
	  weapons menu
	* Stronger gravity (the worms fall faster etc.)
	* Ninja rope is (a bit) more efficient
	* Code has been optimized
	- For some reason the lasers disappeared in the previous
 	  version
	! LUEMINUT.EXE has been removed...

Version 1.16
	- Bugfixes for the bugfixes in the previous version (!!)

Version 1.15
	- Bugfixes (actually this version was unnecessary)

Version 1.14
	+ LUEMINUT.EXE
	- If you chose a random level, a new level wasn't generated if
	  REGENERATE LEVEL was OFF

Version 1.13
	+ Chiquita bomb!!
	- The missile bugs have been fixed
	- Loads of other bugfixes

Version 1.12
	* A huge code optimization: the game runs almost twice as fast as
	  before!! That means playable speed on 386- and 486-processors
	  (with SCREEN SYNC OFF)
	* Missile is a bit slower (easier to control)
	+ The random-CPU-worms are back (while waiting for decent
	  CPU-players)!!
	- Fixed some stuff in LIERO.TXT
	- "xx made a suicide" and such messages disappeared in the previous
  	  version (?!)
	- KEYSETUP didn't save the keys is LIERO.DAT had been deleted
	- Fixed a pile of other bugs

Version 1.11
	* The worms no longer slide while moving and firing at the same time
	* Auto Pistol -> Handgun, faster and a bit more efficient
	* Replaced Missiles (too efficient) with Guided (!!) Missile.
	* Better Dirtball
	* MK Mode replaced with adjustable Amount of Blood (0-500%)
	+ Realistic Laser!!
	- /1 and /2 parameters fixed
	- Keysetup didn't work on PII-machines

Version 1.10
	! Increased testing
	+ A new weapon: Uzi
	* Changed the looks of the menus (more clear?)
	* A new kind of more user-friendly weapons menu
	* Bonuses sometimes appeared on top of each other
	* Ninja rope didn't grap the other worm very tightly
	- The worms always had the same names

Version 1.04
	- Pentium II -bug fixed!! No more runtime error 200...
  	  Lozzi replaced the buggy CRT unit of TP with one by himself and
	  the game started working.

Version 1.03
	- A huge pile of bugfixes

Version 1.02
	- Fixed the other player's crosshair and other small bugfixes

Version 1.01
	- Fixed a few annoying bugs
	* Checked and fixed the spelling of LIERO.TXT (there are still some
	  typos, though)

Version 1.0
	+ The worms have been redrawn
	* Smoother explosion animation
	+ 5 new weapons: Cannon, Bouncy larpa, Missiles, Spikeballs and
	  Napalm
	+ LIERO.TXT completely rewritten
	+ A level editor (very restricted)
	+ A sound card is no longer required
	* MK Mode is really Mortal Kombat!!
        ! Compact filesize
	- Fixed the LOADING TIME (0%) bug
	- Fixed the save bug of KEYSETUP

